Name:           python-ibmpairs
Version:        3.1.9
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        open source Python modules for the IBM Environmental Intelligence Geospatial APIs platform

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://ibm.github.io/ibmpairs/
Source:         %{pypi_source ibmpairs}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ibmpairs' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ibmpairs
Summary:        %{summary}

%description -n python3-ibmpairs %_description


%prep
%autosetup -p1 -n ibmpairs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ibmpairs -f %{pyproject_files}


%changelog
%autochangelog